コンテンツにスキップ

外部ソースから Knowledge Base にコンテンツをインポートします。これらのエンドポイントはコンテンツを非同期で処理します。

外部ソースから Knowledge Base にコンテンツをインポートします。これらのエンドポイントはコンテンツを非同期で処理します。

単一のウェブページまたはウェブサイト全体をスクレイピングし、コンテンツをインポートします。

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/website

Request Body

ParameterDescription
url
string, required
スクレイピングする URL
mode
string
"individual"(デフォルト)、"site_wide"、または "individual_with_summary"
phrases
array of strings
抽出するキーフレーズ
html_selector
string
特定のコンテンツを対象とする CSS セレクター
Terminal window
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/website \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"url": "https://example.com/docs",
"mode": "individual"
}'

Response 202 Accepted

{
"status": "success",
"url": "https://example.com/docs",
"article": {}
}

YouTube 動画の文字起こしをインポートします。

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/youtube

Request Body

ParameterDescription
url
string, required
YouTube 動画の URL
toast_process_uuid
string, required
インポートプロセスを追跡するための UUID v4
Terminal window
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/youtube \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"toast_process_uuid": "550e8400-e29b-41d4-a716-446655440000"
}'

Response 202 Accepted — 文字起こしは非同期で処理されます。

XML サイトマップ内のすべてのリンクからコンテンツをインポートします。

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/site-map

Request Body

ParameterDescription
site_map
string, required
XML サイトマップへの URL
link_filter_regex
string
インポートするリンクをフィルタする正規表現(デフォルト:".*"
html_selector
string
特定のコンテンツを対象とする CSS セレクター
summarize
boolean
インポートしたコンテンツを要約するかどうか(デフォルト:false
Terminal window
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/site-map \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"site_map": "https://example.com/sitemap.xml"
}'

Response 202 Accepted

{
"status": "success",
"links": ["https://example.com/page1", "https://example.com/page2"]
}

特定の URL リストからコンテンツをインポートします。

Scope: write_all

POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/scrape-list

Request Body

ParameterDescription
links
array of strings, required
スクレイピングする URL のリスト(空でないこと)
tags
array of strings
インポートする記事に適用するタグ
html_selector
string
特定のコンテンツを対象とする CSS セレクター
summarize
boolean
インポートしたコンテンツを要約するかどうか(デフォルト:false
Terminal window
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/import_external/scrape-list \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"links": ["https://example.com/page1", "https://example.com/page2"],
"tags": ["imported"]
}'

Response 202 Accepted

{
"status": "success",
"links": ["https://example.com/page1", "https://example.com/page2"]
}

以前にインポートした URL タイプの記事を Knowledge Base から削除します。

Scope: write_all

DELETE https://app.quickchat.ai/v1/api/knowledge_base/import_external

Request Body

ParameterDescription
links
array of strings, required
削除する URL のリスト(最小 1 件)
Terminal window
curl -X DELETE https://app.quickchat.ai/v1/api/knowledge_base/import_external \
-H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"links": ["https://example.com/page1"]
}'

Response 200 OK